// c++ -o CLT_exp CLT_exp.cpp `root-config --glibs --cflags`

#include <iostream>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <TCanvas.h>
#include <TH1.h>
#include <TAxis.h>
#include <TStyle.h>
#include <TROOT.h>

using namespace std;

double rand_range (double a, double b)
{
return a+(b-a)*rand()/(1.*RAND_MAX);
}

double rand_exp(double ymin,double ymax, double mu)
{
  double x, y;
  y = rand_range(ymin, ymax);
  x = -mu * log(1 - y);
  return x;
}

int main()
{
  gStyle->SetOptFit(1);

  srand (time (NULL));
  double min=0;
  double max=1;
  double sum;
  int n;
  
  cout<<"Numero di estrazioni casuali da sommare: ";
  cin>>n;
 
  
  TH1F pdf ("h1",Form("N = %d",n),100,min*n,max*n);
  
  for (int i=0; i<100000; i++)
  {
    sum=0;
    for (int j=0; j<n; j++)
    {
      sum+=rand_exp(0,1,0.25);
    }
    pdf.Fill(sum);
  }

  TCanvas cnv;
 // pdf.SetFillColor(kRed);
  
  // togliere il commento alla riga seguente per eseguire il fit con funzione gaussiana
  //pdf.Fit("gaus");
  pdf.Draw();
  
  cnv.Print(Form("CTL_exp%d.png",n),"png");


  return 0;
}
