// c++ -o CLT_unif CLT_unif.cpp `root-config --glibs --cflags`

#include <iostream>
#include <cstdlib>
#include <ctime>
#include <TCanvas.h>
#include <TH1.h>
#include <TAxis.h>
#include <TStyle.h>
#include <TROOT.h>

using namespace std;

double rand_range (double a, double b)
{
return a+(b-a)*rand()/(1.*RAND_MAX);
}

int main()
{
  gStyle->SetOptFit(1);

  srand (time (NULL));
  double min=-1;
  double max=1;
  double sum;
  int n;
  
  cout<<"Numero di estrazioni casuali da sommare: ";
  cin>>n;
 
  
  TH1F pdf ("h1",Form("N = %d",n),100,min*n,max*n);
  
  for (int i=0; i<100000; i++)
  {
    sum=0;
    for (int j=0; j<n; j++)
    {
      sum+=rand_range(min,max);
    }
    pdf.Fill(sum);
  }

  TCanvas cnv;
 // pdf.SetFillColor(kRed);
 
  //togliere il commento alla riga seguente per eseguire il fit con funzione gaussiana
  //pdf.Fit("gaus");
  pdf.Draw();
  
  cnv.Print(Form("CTL_unif%d.png",n),"png");


  return 0;
}
